reinstalling oslec in elastix 1.6-13

Discussion in 'General' started by erickperez, Jan 25, 2010.

  1. erickperez

    Joined:
    Dec 3, 2009
    Messages:
    4
    Likes Received:
    0
    I had to remove dahdi from clean install of elastix 32 bit 1.6-13 due to sangoma driver incompatibilities.
    some symptoms:
    -U100 freezes
    -random call drops
    -dahdi not receving notification of incoming call

    Sangoma recommends an U100 usb 2 FXO-ports with wanpipe version 3.6.0.12 to run.

    It has been a royal pain to try to upgrade wanrouter in elastix, so i decided to remove dahdi and wanpipe modules manually.

    I now use wanpipe 3.6.0.12 compiled from source and latest dahdi tools (dahdi-linux-complete-2.2.1+2.2.1.tar.gz)

    However I am missing the oslec module and want to compile it again, but all the instructions are for kernel 2.6.28 and elastix 1.6 has kernel 2.6.18-164.el5.
    Seems .28 kernel is not available via yum.

    comments/instructions are welcomed.

    thanks, http://forum.elastix.org/old_files/modules.txt
     
  2. dicko

    Joined:
    Oct 24, 2008
    Messages:
    4,099
    Likes Received:
    0
  3. erickperez

    Joined:
    Dec 3, 2009
    Messages:
    4
    Likes Received:
    0
    all the install instructions i found are for 2.6.28 kernel. specifically the instructions ask for:
    # cp -fR /usr/src/linux-2.6.28/drivers/staging/echo /usr/src/dahdi-linux-complete-2.2.0.2+2.2.0/linux/drivers/staging

    and the staging dir is not available in 2.6.18 kernels (the one elastix uses)
     
  4. dicko

    Joined:
    Oct 24, 2008
    Messages:
    4,099
    Likes Received:
    0

Share This Page